2017-06-25 06:16 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002451OpenFOAM[All Projects] Bugpublic2017-02-07 16:01
Reporteralice 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version16.04
Product Version4.1 
Target VersionFixed in Version4.x 
Summary0002451: DTCHull tutorial case crashes
DescriptionThis particular tutorial case fails to run to completion. Failure occurs at about 0.32 seconds into the parallel run of interDyMFoam
Steps To ReproduceI recopied the case to my run directory for a second attempt with same results (See attached file interDyMFoam.log)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007714

henry (manager)

I am unable to reproduce the crash in OpenFOAM-4.x but the VoF does go unbounded in the early stages of the run which can cause problems. I am looking for cause of the unboundness and found that for the max Co of this run
it is necessary to increase nLimiterIter and also thetolerance of pCorr is not tight enough. I am now running with:
 
solvers
{
    "alpha.water.*"
    {
        nAlphaCorr 3;
        nAlphaSubCycles 1;
        cAlpha 1;
        icAlpha 0;

        MULESCorr yes;
        nLimiterIter 15;
        alphaApplyPrevCorr yes;

        solver smoothSolver;
        smoother symGaussSeidel;
        tolerance 1e-10;
        relTol 0;
        minIter 1;
    }

    "pcorr.*"
    {
        solver GAMG;

        smoother DIC;

        tolerance 0.001;
        relTol 0;
    };
.
.
.

and the boundness is much better.

~0007715

henry (manager)

The important change is "tolerance 0.001;" on pcorr and with this boundedness of alpha is significantly improved. I have pushed this change into OpenFOAM-4.x, let me know if it helps your run.

~0007716

alice (reporter)

So quick! Thank you - runs fine now

~0007717

henry (manager)

Resolved by commit 7c251b6e921da4665b0da2defd46a4c80930044e
+Notes

-Issue History
Date Modified Username Field Change
2017-02-06 00:17 alice New Issue
2017-02-06 00:17 alice File Added: log.interDyMFoam_end
2017-02-06 17:42 henry Note Added: 0007714
2017-02-06 23:01 henry Note Added: 0007715
2017-02-07 00:39 alice Note Added: 0007716
2017-02-07 10:02 henry Assigned To => henry
2017-02-07 10:02 henry Status new => resolved
2017-02-07 10:02 henry Resolution open => fixed
2017-02-07 10:02 henry Fixed in Version => 4.x
2017-02-07 10:02 henry Note Added: 0007717
+Issue History